/*
VierGewinnt -- Learning Java
Copyright (C) <2006>  Robin and Detlef Wolf
This library is free software -- GNU LGPL license applies.
see http://www.gnu.org/licenses/lgpl.txt for details
*/

// part of the user interface

import javax.swing.JLabel ;
import javax.swing.SwingConstants ;
import java.awt.Color;

class StatusLine extends JLabel implements ObserverInterface {
  
  VierGewinntModel model ;

  public StatusLine(VierGewinntModel model) {
    this.model = model ;
    setHorizontalAlignment(SwingConstants.CENTER) ;
    model.register(this) ;
    modelUpdate() ;
    setOpaque(true);
    setBackground(new Color(255,255,255));
  }

  public void modelUpdate() {
    setText(model.getMessage()) ;
  }

}
  